

<!-- BEGIN: Content-->
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper container-xxl p-0">
        <div class="content-header row">
        </div>
        <div class="content-body">
            <section *ngIf="isLoading; else notLoadingBlock">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex justify-content-center">
                                    <div class="spinner-border text-primary" role="status">
                            
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> 
            </section>
            <ng-template #notLoadingBlock>
                <section>
                    <div class="row">
                        <div class="col-12">
                            
                            <div class="card mt-3">
                                <div class="card-header d-flex justify-content-between">
                                        <h4 class="card-title">
                                            Progression
                                        </h4>
                                        <app-gen-button *ngIf="project.todosAllValidated" [text]="'Valider'" [isLoading]="isFinishProjectLoading" (click)="finishProject()"></app-gen-button>
                                    
                                </div>
                                <div class="card-body">
                                   <div class="row mt-3">
                                        <div class="col-12">
                                            <h5>Progression</h5>
                                            <div class="progress mb-3">
                                                <div class="progress-bar progress-bar-striped bg-primary" role="progressbar" [style.width]="project.progression+'%'" aria-valuenow="globalProgression" aria-valuemin="0" aria-valuemax="100">{{project.progression| number: '1.0-0'}} %</div>
                                            </div>
                                            <p><b>Date de livraison: </b>{{project.dateLivraison ? (project.dateLivraison | date : 'dd/MM/yyyy') : '--/--/--' }}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                
                <div class="mt-2 card progression-wrapper">
        
                    <div class="example-container">
                    <h2>A faire</h2>
                
                    <div class="example-list">
                        <div class="example-box" *ngFor="let item of project.todos.todo" (click)="showModal(item._id)" >
                            <div class="example-box-header" *ngIf="item.apercu!=null && item.apercu.length!=0">
                                <img [src]="getFileUrl(item.apercu[0].chemin)" alt="Apercu" loading="lazy">
                            </div>
                            <div class="example-box-content">
                                <p>
                                    <span class="text-capitalize">{{item.name}}</span> : {{item.description==null ? 'Aucune description' : item.description}}
                                    <br>
                                    <b>Date de livraison: </b>{{item.dateLivraison ? (item.dateLivraison | date: 'dd/MM/yyyy') : '--/--/--'}}
                                </p>
                            </div>
                        </div>
                    </div>
                    </div>
                
                    <div class="example-container">
                    <h2>En cours</h2>
                
                    <div class="example-list">
                        <div class="example-box" *ngFor="let item of project.todos.inProgress" (click)="showModal(item._id)" >
                            <div class="example-box-header" *ngIf="item.apercu!=null && item.apercu.length!=0">
                                <img [src]="getFileUrl(item.apercu[0].chemin)" alt="Apercu" loading="lazy">
                            </div>
                            <div class="example-box-content">
                                <p>
                                    <span class="text-capitalize">{{item.name}}</span> : {{item.description==null ? 'Aucune description' : item.description}}
                                    <br>
                                    <b>Date de livraison: </b>{{item.dateLivraison ? (item.dateLivraison | date: 'dd/MM/yyyy') : '--/--/--'}}
                                </p>
                                <div class="mt-1" *ngIf="!item.isLoading">
                                    <label for="formRange1" class="form-label">Progression (%)</label>
                                    <input class="form-control" type="number" id="progression" [value]="item.progression" [disabled]="true" />
                                </div>
                            </div>
                        </div>
                    </div>
                    </div>
                
                    <div class="example-container">
                    <h2>Terminée</h2>
                
                    <div class="example-list">
                        <div class="example-box" *ngFor="let item of project.todos.finished"  (click)="showModal(item._id)">
                            <div class="example-box-header" *ngIf="item.apercu!=null && item.apercu.length!=0">
                                <img [src]="getFileUrl(item.apercu[0].chemin)" alt="Apercu" loading="lazy">
                            </div>
                            <div class="example-box-content">
                                <p>
                                    <span class="text-capitalize">{{item.name}}</span> : {{item.description==null ? 'Aucune description' : item.description}}
                                    <br>
                                    <b>Date de livraison: </b>{{item.dateLivraison ? (item.dateLivraison | date: 'dd/MM/yyyy') : '--/--/--'}}
                                </p>
                                <app-gen-button text='<i class="fa fa-check"></i>&nbsp;Valider' class="mb-1" [isLoading]="item.isValidating" (click)="validateTodo(item)" type="success"></app-gen-button>
                            </div>
                        </div>
                    </div>
                    </div>

                    <div class="example-container">
                    <h2>Validée</h2>
                
                    <div class="example-list">
                        <div class="example-box" *ngFor="let item of project.todos.validated" (click)="showModal(item._id)">
                            <div class="example-box-header" *ngIf="item.apercu!=null && item.apercu.length!=0">
                                <img [src]="getFileUrl(item.apercu[0].chemin)" alt="Apercu" loading="lazy">
                            </div>
                            <div class="example-box-content">
                                <p>
                                    <span class="text-capitalize">{{item.name}}</span> : {{item.description==null ? 'Aucune description' : item.description}}
                                    <br>
                                    <b>Date de livraison: </b>{{item.dateLivraison ? (item.dateLivraison | date: 'dd/MM/yyyy') : '--/--/--'}}
                                </p>
                                <app-gen-button text='<i class="fa fa-check"></i>&nbsp;Valider' class="mb-1" [isLoading]="item.isValidating" (click)="validateTodo(item)" type="success"></app-gen-button>
                            </div>
                        </div>
                    </div>
                    </div>
                </div>
                <app-todo-modal *ngIf="todoIdSelected" [(isVisible)]="isTodoModalVisible" [todoId]="todoIdSelected" [validateTodo]="validateTodo"></app-todo-modal>
            </ng-template>    
        </div>
    </div>
</div>
<!-- END: Content-->

<!-- Car creation modal -->


<!-- Car update modal-->

